Bug 530948

Summary: gtk_window_fullscreen pins app to second monitor (among other weirdness)
Product: [Fedora] Fedora Reporter: Stefan Assmann <sassmann>
Component: metacityAssignee: Owen Taylor <otaylor>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 13CC: berrange, crobinso, hbrock, jforbes, markmc, otaylor, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-27 10:28:20 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 498969    

Description Stefan Assmann 2009-10-26 05:17:01 EDT
Description of problem:
After upgrading F11 to F12 Beta1 I tried the new cool virt-manager. After starting a VM and clicking on the full screen button the VM window just disappeared. It took a while until I realized that the window was moved from my workspace 4, that's were virt-manager was running, to workspace 1. I tried it several times and the window always gets pinned to workspace 1, without me being able to put it somewhere else unless I exit fullscreen mode.

My configuration has compiz enabled and a dual screen setup.

Version-Release number of selected component (if applicable):
virt-manager-0.8.0-7.fc12.noarch

How reproducible:
always

Steps to Reproduce:
1. start virt-manager
2. double click a VM
3. click fullscreen button (not necessary to run the VM)
  
Actual results:
fullscreen window always ends up at workspace 1

Expected results:
fullscreen window is placed on current workspace 

Additional info:
let me know what you need
Comment 1 Stefan Assmann 2009-10-26 05:27:51 EDT
seems to be a problem with the dual screen setup.

I get different results whether I put the VM window on screen 1 or on screen 2.

window on screen 1: after pressing fullscreen the window gets placed on screen 2 in fullscreen. Unsetting fullscreen and the window gets moved to workspace 1 with the window spanning over both displays. Just clicking the window on workspace 1 results in the window spawning to workspace 2 (and so on). Very weird.

window on screen 2: after pressing fullscreen the window gets placed on workspace 1 screen 2, but no other weird behaviour.
Comment 2 Mark McLoughlin 2009-10-29 13:18:59 EDT
nasty; I'm sure a lot of people rely on fullscreen mode
Comment 3 Cole Robinson 2009-12-01 14:56:59 EST
Hmm, we don't really do anything fancy wrt fullscreen, except call the gtk fullscreen() function.

Stefan, do you see the same behavior with other fullscreen apps like gthumb (View->Fullscreen)? If so, maybe this is a generic gtk/X/whatever bug.
Comment 4 Daniel Berrange 2009-12-02 05:57:38 EST
What window manager are you using too ?  This will very likely be a window manager bug, since GTK has little control over how a window becomes fullscreen.

To quote the docs for the API  gdk_window_fullscreen(GdkWindow *window);

 "On X11, asks the window manager to put window in a fullscreen state, if the
  window manager supports this operation. Not all window managers support this,
  and some deliberately ignore it or don't have a concept of "fullscreen"; so
  you can't rely on the fullscreenification actually happening. But it will
  happen with most standard window managers, and GDK makes a best effort to get
  it to happen."
Comment 5 Stefan Assmann 2009-12-02 06:28:04 EST
I tried gthumb and found the following behaviour. Going to fullscreen works fine but the window is always pinned to the right monitor, regardless of the initial gthumb window being placed on the left or right screen. Doesn't sound right to me...

Daniel, I've installed fusion-icon to switch between window managers and tested compiz, metacity and kwin. The behaviour seems to be always the same. I normally use metacity and disabled compiz.
Comment 6 Cole Robinson 2009-12-02 08:16:31 EST
Okay, reassigning to metacity, hopefully it can be properly triaged from there.
Comment 7 Bug Zapper 2010-03-15 08:58:28 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2011-06-02 13:33:50 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2011-06-27 10:28:20 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.